Bug 1550616 - libdrm 2.4.90 prevents X and Wayland to start with Vega GPUs
Summary: libdrm 2.4.90 prevents X and Wayland to start with Vega GPUs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdrm   
(Show other bugs)
Version: 27
Hardware: x86_64 Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 16:00 UTC by Marcus Husar
Modified: 2018-03-20 17:28 UTC (History)
12 users (show)

Fixed In Version: libdrm-2.4.90-2.fc27 libdrm-2.4.90-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-06 17:30:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcus Husar 2018-03-01 16:00:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Igor Gnatenko 2018-03-01 16:02:10 UTC
Welp.

Comment 2 Marcus Husar 2018-03-01 16:06:34 UTC
My apologies,

I accidently hit the enter key.

Description of problem:

Today’s update of libdrm for Fedora 27 prevented my machine to boot up to GDM. After some digging I downgraded libdrm and everything was fine again.

Here’s the upstream bug: https://bugzilla.freedesktop.org/show_bug.cgi?id=105172

Version-Release number of selected component (if applicable):

2.4.90

Steps to Reproduce:

Just boot up.

Actual results:

The system hangs.

Expected results:

GDM is starting properly.

Additional info:

Comment 3 Igor Gnatenko 2018-03-01 16:26:18 UTC
https://src.fedoraproject.org/rpms/libdrm/c/054d488fb5d593dd8004f006a43aab3542cf854f

Once it will build, I will submit new update.

Comment 4 Fedora Update System 2018-03-01 17:27:48 UTC
libdrm-2.4.90-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-851b6b0737

Comment 5 Fedora Update System 2018-03-01 17:28:00 UTC
libdrm-2.4.90-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-001ca50386

Comment 6 Fedora Update System 2018-03-02 16:53:14 UTC
libdrm-2.4.90-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-001ca50386

Comment 7 Fedora Update System 2018-03-02 17:33:34 UTC
libdrm-2.4.90-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-851b6b0737

Comment 8 Fedora Update System 2018-03-06 17:30:43 UTC
libdrm-2.4.90-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-03-20 17:28:09 UTC
libdrm-2.4.90-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.